<ngx-loading [show]="loading" [config]="{primaryColour: primaryColour, secondaryColour: secondaryColour, tertiaryColour: primaryColour, backdropBorderRadius: '3px', fullScreenBackdrop: true}" [template]="loadingTemplate"></ngx-loading>
<section class="login p-fixed d-flex text-center bg-primary common-img-bg">
  <div class="auth-fluid">
    <div class="row">
      <div class="col-sm-12">
        <div class="login-card card-body auth-body">
          <form class="md-float-material" [formGroup]="myForm" (ngSubmit)="onSubmit()">
            <div class="auth-box">
              <div class="row m-b-20">
                <div class="col-md-12">
                  <img src="assets/images/icon/logo.png" width="150px" alt="logo-black.png">
                  <h3 class="text-left f-w-600 text-inverse text-center" style="color: #0156ED;">Dashboard Monitoring Kegiatan</h3>
                </div>
              </div>
              <hr/>
              <div class="col-sm-12 col-xl-12 m-b-20 text-left">
                <input type="text" class="form-control" id="username" name="username" formControlName="identifier" placeholder="Masukkan Username">
                <span class="messages text-danger" *ngIf="!myForm.get('identifier').valid && myForm.get('identifier').touched">* Username tidak boleh kosong</span>
                <span class="md-line"></span>
              </div>
              <div class="col-sm-12 col-xl-12 m-b-20 text-left">
                <show-hide-password size="" icon="fontawesome">
                  <input type="password" class="form-control" id="password" name="password"  formControlName="password" placeholder="Masukkan Password" style="height: 40px;">
                </show-hide-password>
                <span class="messages text-danger" *ngIf="!myForm.get('password').valid && myForm.get('password').touched">* Password tidak boleh kosong</span>
                <span class="md-line"></span>
              </div>
              <!-- <div class="col-sm-12 col-xs-12 forgot-phone text-center">
                <span class="text-right f-w-600 text-inverse">Lupa password?</span> 
                <a [routerLink]="['/auth/forgot']" class="text-right f-w-600 text-inverse">  <b>Klik di sini.</b></a>
              </div> -->
              <div class="col-sm-12 col-xl-12 m-b-20 text-left">
                  <button type="submit" [disabled]="!myForm.valid" class="btn btn-info btn-md btn-block waves-effect text-center m-b-20">Masuk</button>
              </div>
              <!-- <hr/> -->
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</section>

